OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions | Variables
newgrf_spritegroup.cpp File Reference

Handling of primarily NewGRF action 2. More...

`#include "stdafx.h"`
`#include "debug.h"`
`#include "newgrf_spritegroup.h"`
`#include "core/pool_func.hpp"`
`#include "safeguards.h"`

Go to the source code of this file.

## Functions
static uint32 | GetVariable (const ResolverObject &object, ScopeResolver *scope, byte variable, uint32 parameter, bool *available)
static uint32 | RotateRight (uint32 val, uint32 rot)
| Rotate val rot times to the right.
template<typename U , typename S >
static U | EvalAdjustT (const DeterministicSpriteGroupAdjust *adjust, ScopeResolver *scope, U last_value, uint32 value)

## Variables
SpriteGroupPool | _spritegroup_pool ("SpriteGroup")
TemporaryStorageArray< int32, 0x110 > | _temp_store

## Detailed Description

Handling of primarily NewGRF action 2.

Definition in file newgrf_spritegroup.cpp.

## Function Documentation

static uint32 RotateRight | ( | uint32 | val,
|  | uint32 | rot
| ) |  |
| static

Rotate val rot times to the right.

Parameters

  val | the value to rotate
  rot | the amount of times to rotate

Returns
  the rotated value

Definition at line 187 of file newgrf_spritegroup.cpp.